import dynamix_sdk.base as _base


class CloudapiDisksChangeDiskStoragePolicyResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiDisksChangeDiskStoragePolicyProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def change_disk_storage_policy(
        self,
        *,
        disk_id: int,
        storage_policy_id: int,
    ) -> CloudapiDisksChangeDiskStoragePolicyResultBool:
        ...
